/**
 * This file is loading everthing needed for translations.
 */
var fs = require('fs');
var p = require('path');
var Gettext = require("node-gettext");
var gt = new Gettext();

/* Read settings from local storage, and store it globally */
global.DA.readSettings();

var lang;
if (global.settings.language && global.settings.language.defaultUiLang) {
	lang = global.settings.language.defaultUiLang;
} else {
	lang = window.navigator.language;
}

console.log("Lang: " + lang);

/* Try to load po file. */
var fileContents;
var poPath = p.join(process.cwd(), 'app', 'resources', 'locale', lang + ".po");
if (fs.existsSync(poPath)) {
	fileContents = fs.readFileSync(poPath);
} else {
	poPath = p.join(process.cwd(), 'app', 'resources', 'locale', lang.split('-')[0] + ".po");
	if (fs.existsSync(poPath)) {
		fileContents = fs.readFileSync(poPath);
	} else {
		console.log("Could not load po file");
	}
}

if (fileContents) {
	gt.addTextdomain(lang, fileContents);
}

/* Make it globally available for injections */
global.gt = gt;
