/*
 * Main js file for the download history window 
 */

/**
 * Extend Date, to check if the date is today.
 */
Date.prototype.isToday = function() {
	var d = new Date();
	return this.getFullYear() === d.getFullYear()
		&& this.getDate() === d.getDate()
		&& this.getMonth() === d.getMonth();
}

/**
 * Extend Date, to check if the date is yesterday.
 */
Date.prototype.isYesterday = function() {
	var d = new Date();
	d.setDate(d.getDate() - 1);
	return this.getFullYear() === d.getFullYear()
		&& this.getDate()  === d.getDate()
		&& this.getMonth() === d.getMonth();
}

/*
 * chrome.downloads.search returns an empty result set for the first time.
 * Trigger a search to avoid empty results.
 */
chrome.downloads.search(
	{
		orderBy: ['-startTime']
	},
	function(results) {}
);
chrome.downloads.onCreated.addListener(function(item) {
	if (DownloadManager.loadItems.windowLoaded) {
		DownloadManager.getOrCreate(item);
		DownloadManager.showNew();
		DownloadManager.startPollingProgress();
	}
});
chrome.downloads.onChanged.addListener(function(delta) {
	var item = DownloadManager.getItem(delta.id);
	if (item) {
		item.applyChanges(delta);
	}
});
chrome.downloads.onErased.addListener(function() {
	DownloadManager.loadItems();
});

window.onload = function() {
	nw.Window.get().setResizable(false);

	document.title = gt.gettext('Downloads');
	document.getElementById('search-input').placeholder = gt.gettext("Search in downloads");
	DownloadManager.divItems = document.getElementById('items');
	DownloadManager.divEmpty = document.getElementById('empty');
	DownloadManager.divLoading = document.getElementById('loading');
	DownloadManager.loadItems.onWindowLoaded();

	document.getElementById('search-input').onsearch = DownloadManager.onSearch;
};
